- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NonlinearExpressions Class Reference

The in-memory representation of the <nonlinearExpressions> element. More...

`#include <OSInstance.h>`

Collaboration diagram for NonlinearExpressions:

[legend]
List of all members.

## Public Member Functions
| NonlinearExpressions ()
| The NonlinearExpressions class constructor.
| ~NonlinearExpressions ()
| The NonlinearExpressions class destructor.
bool | IsEqual (NonlinearExpressions *that)
| A function to check for the equality of two objects.
| NonlinearExpressions ()
| The NonlinearExpressions class constructor.
| ~NonlinearExpressions ()
| The NonlinearExpressions class destructor.
## Public Attributes
int | numberOfNonlinearExpressions
| numberOfNonlinearExpression is the number of <nl> elements in the <nonlinearExpressions> element.
Nl ** | nl
| nl is pointer to an array of Nl object pointers
Nl ** | nl
| nl is pointer to an array of Nl object pointers

## Detailed Description

The in-memory representation of the <nonlinearExpressions> element.

Definition at line 471 of file OSInstance.h.

## Constructor & Destructor Documentation

NonlinearExpressions::NonlinearExpressions | ( |  | ) |

The NonlinearExpressions class constructor.

Definition at line 670 of file OSInstance.cpp.

NonlinearExpressions::~NonlinearExpressions | ( |  | ) |

The NonlinearExpressions class destructor.

Definition at line 679 of file OSInstance.cpp.

References DEBUG, nl, and numberOfNonlinearExpressions.

NonlinearExpressions::NonlinearExpressions | ( |  | ) |

The NonlinearExpressions class constructor.

NonlinearExpressions::~NonlinearExpressions | ( |  | ) |

The NonlinearExpressions class destructor.

## Member Function Documentation

bool NonlinearExpressions::IsEqual | ( | NonlinearExpressions * | that | ) |

A function to check for the equality of two objects.

Definition at line 5372 of file OSInstance.cpp.

References nl, and numberOfNonlinearExpressions.

## Member Data Documentation

int NonlinearExpressions::numberOfNonlinearExpressions

numberOfNonlinearExpression is the number of <nl> elements in the <nonlinearExpressions> element.

Definition at line 484 of file OSInstance.h.

Referenced by OSgams2osil::createOSInstance(), OSInstance::getAllNonlinearExpressionTrees(), OSInstance::getNumberOfNonlinearExpressions(), IsEqual(), main(), OSInstance::setQuadraticTermsInNonlinearExpressions(), and ~NonlinearExpressions().

Nl** NonlinearExpressions::nl

nl is pointer to an array of Nl object pointers

Definition at line 488 of file OSInstance.h.

Referenced by OSgams2osil::createOSInstance(), OSInstance::getAllNonlinearExpressionTrees(), IsEqual(), main(), OSInstance::setQuadraticTermsInNonlinearExpressions(), and ~NonlinearExpressions().

Nl** NonlinearExpressions::nl

nl is pointer to an array of Nl object pointers

Definition at line 435 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp